@import url(https://fonts.googleapis.com/css?family=Montserrat);
:root {
    --clr-oscuro: rgb(0, 0, 0);
    --clr-claro-nar: #fb8b40;
    --clr-claro-nar: #3a3a3a;
    --clr-claro-ama: #FFDC00;
    --clr-nav-hover: rgb(148, 9, 9);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
    /* box-shadow: 0 0 0 1px red; */
}

.header {
    background: var(--clr-oscuro);
    color: white;
    margin-bottom: 4em;
}

.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
    margin: 0 3vw;
    min-height: 65px;
    max-height: 70px;
}

.nav__logo-wrap {
    display: flex;
    align-items: center;
    gap: 50px;
}

.nav__logo {
    height: 25px;
    width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav__link-logo {
    padding: 15px;
    color: #fff;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav__productes .nav__toggle {
    margin-right: 8px;
}

.nav__toggle-item {
    background: #fff;
    display: flex;
    width: 25px;
    height: 3px;
    margin: 5px;
    transition: transform 0.5s ease;
}

header.active .nav__toggle-item {
    background: #fff;
}

.nav__toggle.active .nav__toggle-lin1 {
    transform: rotate(-45deg) translate(-5px, 6px);
}

.nav__toggle.active .nav__toggle-lin2 {
    opacity: 0;
}

.nav__toggle.active .nav__toggle-lin3 {
    transform: rotate(45deg) translate(-5px, -6px);
}

.nav__toggle {
    /* display: none; */
    cursor: pointer;
}

.nav__list {
    display: flex;
}

.nav__item {
    list-style: none;
}

.nav__link {
    padding: 15px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}

.nav__units {
    font-size: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    width: 18px;
    height: 18px;
    background: var(--clr-claro-ama);
    color: black;
    font-weight: 700;
}

.nav__link:visited {
    color: #fff;
}

.nav__link:hover {
    background: var(--clr-nav-hover);
    background: var(--clr-claro-nar);
    transition: all .3s ease;
}

.searchbox {
    position: relative;
    padding: 0;
    margin: 0;
    border: 0;
    height: 35px;
    width: 30%;
    display: flex;
    align-items: center;
    border: 1px solid transparent;
}

.searchbox__icons-container {
    position: absolute;
    top: 0px;
    right: 8px;
    width: 35px;
    height: 35px;
    overflow: hidden;
}

.searchbox__icon-close {
    position: absolute;
    top: 2px;
    left: 2px;
    width: 75%;
    height: 75%;
    opacity: 0;
    cursor: pointer;
    transform: translateX(-200%);
    border-radius: 50%;
    transition: opacity 0.25s ease, transform 0.43s cubic-bezier(0.694, 0.048, 0.335, 1);
}

.searchbox__icon-close .x-up {
    position: relative;
    width: 100%;
    height: 50%;
}

.searchbox__icon-close .x-up:before {
    content: "";
    position: absolute;
    bottom: 1px;
    left: 8px;
    width: 35%;
    height: 2px;
    background-color: #555555;
    transform: rotate(45deg);
}

.searchbox__icon-close .x-up:after {
    content: "";
    position: absolute;
    bottom: 1px;
    right: 2px;
    width: 35%;
    height: 2px;
    background-color: #555555;
    transform: rotate(-45deg);
}

.searchbox__icon-close .x-down {
    position: relative;
    width: 100%;
    height: 50%;
}

.searchbox__icon-close .x-down:before {
    content: "";
    position: absolute;
    top: 4px;
    left: 7px;
    width: 43%;
    height: 2px;
    background-color: #555555;
    transform: rotate(-45deg);
}

.searchbox__icon-close .x-down:after {
    content: "";
    position: absolute;
    top: 5px;
    right: 2px;
    width: 35%;
    height: 2px;
    background-color: #555555;
    transform: rotate(45deg);
}

.searchbox__icon-search {
    position: relative;
    top: 8px;
    left: 8px;
    width: 35%;
    height: 35%;
    opacity: 1;
    border-radius: 50%;
    border: 2px solid #555555;
    transition: opacity 0.25s ease, transform 0.43s cubic-bezier(0.694, 0.048, 0.335, 1);
}

.searchbox__icon-search:after {
    content: "";
    position: absolute;
    bottom: -7px;
    right: -4px;
    width: 2px;
    border-radius: 3px;
    transform: rotate(-45deg);
    height: 8px;
    background-color: #555555;
}

.searchbox__input {
    border: 0;
    width: 100%;
    height: 30px;
    padding: 10px 15px;
    background: white;
    border-radius: 3px;
    box-shadow: 2px 3px 5px rgba(75, 72, 72, 0.1);
    transition: all 0.4s ease;
    border-radius: 25px;
    border: 1px solid rgba(53, 52, 52, 0.3);
}

.searchbox__input:focus {
    outline: none;
    box-shadow: 0px 3px 10px rgba(75, 72, 72, 0.3);
}

.searchbox__input:focus+.searchbox__icons-container .searchbox__icon-close {
    opacity: 1;
    transform: translateX(0);
}

.searchbox__input:focus+.searchbox__icons-container .searchbox__icon-search {
    opacity: 0;
    transform: translateX(200%);
}

.nav-secundaria {
    background: #FFDC00;
    height: 35px;
    overflow: hidden;
}

.nav-secundaria__list {
    width: 70%;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
}

.nav-secundaria__item {
    list-style: none;
}

.nav-secundaria__link,
.nav-secundaria__link.active {
    padding: 7px 15px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
}

.nav-secundaria__link:visited {
    color: #000;
}

.nav-secundaria__link:hover,
.nav-secundaria__link.active {
    background: #ffbb00;
    transition: all .3s ease;
}

.section {
    margin: 0 5em;
    max-width: 1600px;
}

.products {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 45px;
    margin: 0 auto;
}

.product {
    width: 350px;
    border-radius: 10px;
    box-shadow: 2px 2px 8px rgb(151, 151, 151);
    margin-top: 1em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}

.product:hover {
    box-shadow: 4px 4px 20px rgb(151, 151, 151);
    transition: all .5s;
}

.product__img-wrap {
    overflow: hidden;
    margin: 0 auto;
    margin-top: 50px;
    width: 75%;
}

.product__img {
    width: 100%;
}

.product__extra-info {
    padding: 10px 12px 20px 12px;
    width: 100%;
}

.product__title {
    text-transform: uppercase;
    text-align: center;
    font-weight: 700;
    width: 100%;
    margin-top: 1em;
    padding: 10px 20px 20px 20px;
}

.product__price-rating-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    margin: 0 auto;
    margin-top: 1em;
}

.product__price {
    font-weight: 700;
    display: flex;
}

.product__rating-form {
    margin: 0 auto;
}

.product__rating-stars {
    text-align: center;
    direction: rtl;
    unicode-bidi: bidi-override;
}

.product__rating-star {
    font-size: 20px;
    color: grey;
}

.product__rating-input {
    display: none;
}

.product__rating-star:hover,
.product__rating-star:hover~.product__rating-star {
    color: orange;
}

.product__rating-input:checked~.product__rating-star {
    color: orange;
}

.btn {
    width: 220px;
    height: 40px;
    cursor: pointer;
    background: #FFDC00;
    border-radius: 15px;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

.btn:hover {
    background: #ffbb00;
    transition: all .2s;
}

.btn__link {
    text-decoration: none;
    text-transform: uppercase;
    color: #000;
    font-weight: 700;
}

.btn_up {
    width: 65px;
    height: 65px;
    background: #FFDC00;
    position: fixed;
    bottom: 40px;
    right: 50px;
    z-index: 200;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.8;
    cursor: pointer;
    color: var(--clr-white);
    background: var(--clr-blue);
}

.btn_up:hover {
    opacity: 1;
    transition: all .3s;
}


footer{
    width: 100%;
    bottom: 0;
    left: 0;
    background: #111;
  }
  footer .content{
    max-width: 1350px;
    margin: auto;
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  footer .content p,a{
    color: #fff;
  }
  footer .content .box{
    width: 33%;
    transition: all 0.4s ease;
  }
  footer .content .topic{
    font-size: 22px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 16px;
  
  }
  footer .content p{
    text-align: justify;
  }
  footer .content .lower .topic{
    margin: 24px 0 5px 0;
  }
  footer .content .lower i{
    padding-right: 16px;
  }
  footer .content .middle{
    padding-left: 80px;
  }
  footer .content .middle a{
    line-height: 32px;
  }
  footer .content .right input[type="text"]{
    height: 45px;
    width: 100%;
    outline: none;
    color: #d9d9d9;
    background: #000;
    border-radius: 5px;
    padding-left: 10px;
    font-size: 17px;
    border: 2px solid #222222;
  }
  footer .content .right input[type="submit"]{
    height: 42px;
    width: 100%;
    font-size: 18px;
    color: #d9d9d9;
    background: #FFDC00;
    outline: none;
    border-radius: 5px;
    letter-spacing: 1px;
    cursor: pointer;
    margin-top: 12px;
    border: 2px solid #FFDC00;
    transition: all 0.3s ease-in-out;
  }
  .content .right input[type="submit"]:hover{
    background: none;
    color:  #FFDC00;
  }
  footer .content .media-icons a{
    font-size: 16px;
    height: 45px;
    width: 45px;
    display: inline-block;
    text-align: center;
    line-height: 43px;
    border-radius: 5px;
    border: 2px solid #222222;
    margin: 30px 5px 0 0;
    transition: all 0.3s ease;
  }
  .content .media-icons a:hover{
    border-color: #FFDC00;
  }
  footer .bottom{
    width: 100%;
    text-align: right;
    color: #d9d9d9;
    padding: 0 40px 5px 0;
  }

  footer .bottom a{
    color: #FFDC00;
  }

  footer a{
    transition: all 0.3s ease;
  }

  footer a:hover{
    color: #FFDC00;
  }

  @media (max-width:1100px) {
    footer .content .middle{
      padding-left: 50px;
    }
  }

  @media (max-width:950px){
    footer .content .box{
      width: 50%;
    }
    .content .right{
      margin-top: 40px;
    }
  }

  @media (max-width:560px){
    footer{
      position: relative;
    }
    footer .content .box{
      width: 100%;
      margin-top: 30px;
    }
    footer .content .middle{
      padding-left: 0;
    }
  }


  /*POPUP CISTELLA*/

h2.laMevaCistella {
    color: white;
    margin: 25px 10px;
    padding:5px;
    top: 0;
    position: absolute;
}

div.sidenavTitle{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    align-content: center;
    margin: 10px;
    padding:5px;
}
.sidenav {
    height: 100%;
    width: 500px;
    position: absolute;
    z-index: 3;
    right: -500px;
    top: 0;
    background-color: white;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.sidenav.active {
    right: 0px;
}


.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
}
  
.sidenav a:hover {
    color: #f1f1f1;
}
 
.sidenav .closebtn {
    position: absolute;
    top: 0;
    left: 75%;
    font-size: 36px;
    margin: 10px 15px;
}
div.mini_img {
    max-width: 35%;
    margin: auto 15px;
}

div.mini_img img {
    width: 100%;
}

/*ul.llista_productes{
    border: 1px solid green;
}*/

li.producte {
    display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-items: flex-start;
	align-content: center;
    /*/border: 1px solid orange;*/
    padding: 10px;
}

div.productes {
    display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-items: flex-start;
	align-content: center;
}

div.producte_caracteristiques {
    display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-items: flex-start;
	align-content: center;
}

div p.nom_producte {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical
}

hr.separador {
    color: white;
    margin: 0 15px;
}
div.fer_compra{
    padding: 10px;
}

p.quantitat_total, p.preu_total{
    font-size: 25px;
    margin: 15px 25px;
}

button.relitzar_compra {
    width: 50%;
    margin: 5px 25px;
    padding: 5px;
    border-radius: 7px;
}
  